GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.PickAndReturnService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
Date | getPickupDate ()
void | setPickupDate (Date value)
boolean | isSendEMailToShipper ()
void | setSendEMailToShipper (boolean value)
boolean | isSendEMailToConsignee ()
void | setSendEMailToConsignee (boolean value)
boolean | isSendSMSToShipper ()
void | setSendSMSToShipper (boolean value)

## Protected Attributes
String | serviceName
Date | pickupDate
boolean | sendEMailToShipper
boolean | sendEMailToConsignee
boolean | sendSMSToShipper

## Detailed Description

Pick and return service attributes

Java class for PickAndReturnService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PickAndReturnService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="PickupDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
            <element name="SendEMailToShipper" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
            <element name="SendEMailToConsignee" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
            <element name="SendSMSToShipper" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 49 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## Member Function Documentation

## ◆ getPickupDate()

Date eu.gls_group.fpcs.v1.common.PickAndReturnService.getPickupDate | ( |  | ) |

Gets the value of the pickupDate property.

Returns
  possible object is String

Definition at line 96 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.PickAndReturnService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 72 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ isSendEMailToConsignee()

boolean eu.gls_group.fpcs.v1.common.PickAndReturnService.isSendEMailToConsignee | ( |  | ) |

Gets the value of the sendEMailToConsignee property.

Definition at line 132 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ isSendEMailToShipper()

boolean eu.gls_group.fpcs.v1.common.PickAndReturnService.isSendEMailToShipper | ( |  | ) |

Gets the value of the sendEMailToShipper property.

Definition at line 116 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ isSendSMSToShipper()

boolean eu.gls_group.fpcs.v1.common.PickAndReturnService.isSendSMSToShipper | ( |  | ) |

Gets the value of the sendSMSToShipper property.

Definition at line 148 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ setPickupDate()

void eu.gls_group.fpcs.v1.common.PickAndReturnService.setPickupDate | ( | Date | value | ) |

Sets the value of the pickupDate property.

Parameters

  value | allowed object is String

Definition at line 108 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ setSendEMailToConsignee()

void eu.gls_group.fpcs.v1.common.PickAndReturnService.setSendEMailToConsignee | ( | boolean | value | ) |

Sets the value of the sendEMailToConsignee property.

Definition at line 140 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ setSendEMailToShipper()

void eu.gls_group.fpcs.v1.common.PickAndReturnService.setSendEMailToShipper | ( | boolean | value | ) |

Sets the value of the sendEMailToShipper property.

Definition at line 124 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ setSendSMSToShipper()

void eu.gls_group.fpcs.v1.common.PickAndReturnService.setSendSMSToShipper | ( | boolean | value | ) |

Sets the value of the sendSMSToShipper property.

Definition at line 156 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.PickAndReturnService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 84 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## Member Data Documentation

## ◆ pickupDate

Date eu.gls_group.fpcs.v1.common.PickAndReturnService.pickupDate
| protected

Definition at line 56 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ sendEMailToConsignee

boolean eu.gls_group.fpcs.v1.common.PickAndReturnService.sendEMailToConsignee
| protected

Definition at line 60 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ sendEMailToShipper

boolean eu.gls_group.fpcs.v1.common.PickAndReturnService.sendEMailToShipper
| protected

Definition at line 58 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ sendSMSToShipper

boolean eu.gls_group.fpcs.v1.common.PickAndReturnService.sendSMSToShipper
| protected

Definition at line 62 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.PickAndReturnService.serviceName
| protected

Definition at line 52 of file gls_group/fpcs/v1/common/PickAndReturnService.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/common/PickAndReturnService.java